<template>
  <div>
    <div class="dashboard__header">
      <h1 class="dashboard__title">ویرایش حساب کاربری</h1>
      <div class="dashboard__actions">
        <Button type="text" color='dark' light round size="sm" @click.native="$router.push('/dashboard')">
          <template #icon>
            <BackIcon />
          </template>
        </Button>
      </div>
    </div>
    <div class="dashboard__body">
      <DashboardNavigation class="dashboard__nav" active="edit" />
      <div class="dashboard__content">
        <Card title="ویرایش مشخصات">
          <EditInfoForm :user="$store.getters['auth/getUser']" />
        </Card>
      </div>
    </div>
  </div>
</template>

<script>
import Card from "@/components/base/Card";
import Button from "@/components/base/Button";
import TextField from "@/components/base/TextField";
import BackIcon from "@/assets/svgs/back.svg";
import EditInfoForm from "@/components/dashboard/EditInfoForm";
import DashboardNavigation from "@/components/layout/DashboardNavigation";

export default {
  components: {
    Card,
    Button,
    TextField,
    BackIcon,
    EditInfoForm,
    DashboardNavigation
  },
  layout: 'dashboard',
  head() {
    return {
      title: "ویرایش حساب کاربری"
    }
  }
}
</script>

<style lang="stylus" scoped>
@import "~assets/styles/variables"

</style>